"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AvatarStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const core_1 = require("@emotion/core");
const Avatar_1 = require("../Avatar");
const faker_1 = tslib_1.__importDefault(require("faker"));
const react_1 = require("@storybook/react");
exports.AvatarStories = react_1.storiesOf("Avatar", module).add("basic", () => {
    const names = new Array(10).fill(null).map(a => faker_1.default.name.findName());
    const sizes = ["xs", "sm", "md", "lg", "xl"];
    return (core_1.jsx("div", null,
        sizes.map(size => (core_1.jsx("div", { css: { display: "flex" } }, names.map(name => (core_1.jsx(Avatar_1.Avatar, { size: size, name: name, css: { margin: "0.25rem" }, key: name })))))),
        sizes.map(size => (core_1.jsx("div", { css: { display: "flex" } }, names.map(name => (core_1.jsx(Avatar_1.Avatar, { size: size, name: name, src: faker_1.default.image.avatar(), css: { margin: "0.25rem" }, key: name }))))))));
});
