"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const core_1 = require("@emotion/core");
const React = tslib_1.__importStar(require("react"));
const Button_1 = require("../Button");
const Dialog_1 = require("../Dialog");
const Text_1 = require("../Text");
const Theme_1 = tslib_1.__importDefault(require("../Theme"));
const react_1 = require("@storybook/react");
function Demo(props) {
    const [show, setShow] = React.useState(false);
    return (core_1.jsx("div", null,
        core_1.jsx(Button_1.Button, { onClick: () => setShow(true) }, "Show"),
        core_1.jsx("div", { style: { height: "150vh" } }),
        core_1.jsx(Dialog_1.Dialog, Object.assign({ isOpen: show, onRequestClose: () => setShow(false), title: "Hello world" }, props),
            core_1.jsx("div", { css: { padding: "1.5rem" } },
                core_1.jsx(Text_1.Text, null, "Mollit fugiat ex irure tempor. Cillum non Lorem et enim anim est. Cillum adipisicing tempor adipisicing pariatur ex ut excepteur. Lorem Lorem minim deserunt est. Deserunt ea est ad reprehenderit fugiat dolor eiusmod exercitation. Consequat esse minim nulla commodo voluptate labore incididunt in deserunt ea exercitation enim commodo ad. Do Lorem voluptate nisi aliquip amet anim voluptate laborum."),
                core_1.jsx("div", { css: {
                        marginTop: Theme_1.default.spaces.lg,
                        display: "flex",
                        justifyContent: "flex-end"
                    } },
                    core_1.jsx(Button_1.Button, { variant: "ghost" }, "Cancel"),
                    core_1.jsx(Button_1.Button, { css: { marginLeft: Theme_1.default.spaces.sm }, intent: "primary" }, "Save"))))));
}
exports.ModalStories = react_1.storiesOf("Dialog", module)
    .add("Standard usage", () => {
    return core_1.jsx(Demo, null);
})
    .add("Fullscreen mobile", () => {
    return core_1.jsx(Demo, { mobileFullscreen: true });
});
