"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionsExample = void 0;
/** @jsx jsx */
const core_1 = require("@emotion/core");
const react_1 = require("@storybook/react");
const use_positioner_1 = require("../Hooks/use-positioner");
function Example() {
    const { target, popover, arrow } = use_positioner_1.usePositioner();
    return (core_1.jsx("div", null,
        core_1.jsx("button", { ref: target.ref }, "Attach to me"),
        core_1.jsx("div", { ref: popover.ref, style: popover.style, css: {
                width: "300px",
                height: "300px",
                background: "red"
            } },
            core_1.jsx("div", null, "hi"),
            " ",
            core_1.jsx("div", { css: { width: "5px" }, style: arrow.style, ref: arrow.ref }))));
}
exports.PositionsExample = react_1.storiesOf("Positions", module).add("Basic", () => core_1.jsx(Example, null));
