"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToastStories = void 0;
/** @jsx jsx */
const core_1 = require("@emotion/core");
const Button_1 = require("../Button");
const react_1 = require("@storybook/react");
const Toast_1 = require("../Toast");
function Example() {
    const toast = Toast_1.useToast();
    return (core_1.jsx(Button_1.Button, { onClick: () => {
            toast({
                duration: null,
                title: "Hello world",
                subtitle: "Excepteur exercitation eu duis reprehenderit irure."
            });
        } }, "Show toast"));
}
exports.ToastStories = react_1.storiesOf("Toast", module).add("basic", () => {
    return (core_1.jsx("div", { css: { PADDING: "3REM" } },
        core_1.jsx(Example, null)));
});
